<div class="module reply-block" *ngIf="!loading">

    <div class="user-bubble">
        <a [routerLink]="'/u/'+thread?.author">
            <img [title]="thread?.author" [src]="thread?.avatar">
        </a>
    </div>

    <div class="sticky-actions">
        <div class="action-block">

            <button 
            *ngIf="thread?.fav" 
            class="secondary" 
            (click)="handleThreadLike(false)"><i class="las la-heart"></i></button>
            <button 
            *ngIf="!thread?.fav" 
            class="unliked"
            (click)="handleThreadLike(true)"><i class="las la-heart"></i></button>

            <button 
            *ngIf="thread?.saved"
            class="primary" 
            (click)="handleThreadSave(false)"><i class="las la-bookmark"></i></button>
            <button 
            *ngIf="!thread?.saved"
            class="unsaved" 
            (click)="handleThreadSave(true)"><i class="las la-bookmark"></i></button>

        </div>

        <div class="action-block">
            <button 
            [title]="thread?.open ? 'En curso' : 'Cerrado'"
            class="secondary"><i [class]="thread?.open ? 'las la-check-circle' : 'las la-times-circle'"></i></button>
            <button 
            [title]="thread?.restricted ? 'Restringido' : 'Libre'"
            class="primary"><i [class]="thread?.restricted ? 'las la-lock' : 'las la-lock-open'"></i></button>
        </div>
    </div>

    <div class="title">
        <h2>{{thread?.title}}</h2>
        <div class="meta">
            <span>
                <b>POR </b><a [routerLink]="'/u/'+thread?.author">{{thread?.author}}</a>
            </span>
        </div>
    </div>

    <!-- <hr>

    <div class="summary">
        <p><b>RESUMEN</b><br>{{thread?.summary}}</p>
    </div> -->

    <hr>

    <div class="body" [innerHTML]="thread?.body"></div>
    
    <hr>

    <div class="participants meta" *ngIf="participants.length">
        <b>Participantes</b>
        <ul class="user-list">
            <li *ngFor="let friend of participants">
                <div class="user-icon small">
                    <a target="_blank" [routerLink]="'/u/'+friend.username" [title]="friend.username">
                        <img [src]="friend.avatar">            
                    </a>
                </div>
            </li>
        </ul>
    </div>

    <div class="meta">
        <span>
            <b>PUBLICADO</b> {{thread?.createdAt | date: 'dd/MM/yyyy'}}
        </span>
        <span *ngIf="thread?.lastUpdate">
            <b>Última Actualización</b> {{t.lastUpdate | date: 'dd/MM/yyyy'}}
        </span>
        <span>
            <b>RESPUESTAS</b> {{thread?.replies.length}}
        </span>
    </div>
    
</div>


<!-- Replies -->
<ng-container *ngIf="thread?.replies.length > 0">
    <div class="module reply-block" *ngFor="let reply of thread.replies">

        <div class="user-bubble">
            <a [routerLink]="'/u/'+reply?.author">
                <img [title]="reply?.author" [src]="reply?.avatar">
            </a>
        </div>

        <div class="sticky-actions">
            <div class="action-block">

                <button 
                *ngIf="reply?.fav" 
                class="secondary" 
                (click)="handleReplyLike(reply, false)"><i class="las la-heart"></i></button>
                <button 
                *ngIf="!reply?.fav" 
                class="unliked"
                (click)="handleReplyLike(reply, true)"><i class="las la-heart"></i></button>

                <button 
                *ngIf="reply?.saved"
                class="primary" 
                (click)="handleReplySave(reply, false)"><i class="las la-bookmark"></i></button>
                <button 
                *ngIf="!reply?.saved"
                class="unsaved" 
                (click)="handleReplySave(reply, true)"><i class="las la-bookmark"></i></button>

            </div>
        </div>

        <div class="body" [innerHTML]="reply?.body"></div>
    
        <hr>
        
        <div class="meta">
            
            <span>
                <b>PUBLICADO</b> {{reply?.createdAt | date: 'dd/MM/yyyy'}}
            </span>
            <span *ngIf="reply?.lastUpdate">
                <b>Última Actualización</b> {{t.lastUpdate | date: 'dd/MM/yyyy'}}
            </span>
            
        </div>

    </div>
</ng-container>


<!-- Reply Editor -->
<div class="module" *ngIf="!loading">

    <!-- Is Open -->
    <ng-container *ngIf="thread?.open">

        <!-- Not Participant -->
        <ng-container *ngIf="!isParticipant">
            <div class="module-body centered" [ngSwitch]="thread?.restricted">

                <!-- Not Restricted -->
                <ng-container *ngSwitchCase="false">
    
                    <p>
                        El autor de este hilo aún está recibiendo participantes.
                        <br>
                        ¡Escribe una continuación a su historia!
                    </p>
    
                    <div class="editor-area">
                        <app-editor #reply [min-height]="150"></app-editor>
                    </div>
    
                    <div class="action-footer" (click)="insertReply()">
                        <button class="primary" [class.loading]="replyLoading" type="submit">Enviar</button>
                    </div>
    
                </ng-container>
                <!-- Not Restricted -->
    
                <!-- Restricted -->
                <ng-container *ngSwitchCase="true">
    
                    <div class="display-icon">
                        <i class="las la-lock"></i>
                    </div>
    
                    <p>
                        Este hilo no admite nuevos participantes.
                        <br>
                        Si te gusta esta historia, ¡Síguela para recibir noticias de sus actualizaciones!
                    </p>
    
                    <div class="action-footer">
                        <button class="primary" type="submit">Me Gusta</button>
                        <button class="primary" type="submit">Guardar</button>
                        <button class="primary" type="submit">Seguir</button>
                    </div>
    
                </ng-container>
                <!-- Restricted -->
    
            </div>
    
        </ng-container>
        
        <!-- Participant -->
        <ng-container *ngIf="isParticipant">
            <div class="module-body centered">
                
                <ng-container>
                    <p>
                        Tienes permiso para escribir en este hilo
                        <br>
                        ¡Escribe una continuación a su historia!
                    </p>

                    <div class="editor-area">
                        <app-editor #reply [min-height]="150"></app-editor>
                    </div>

                    <div class="action-footer" (click)="insertReply()">
                        <button class="primary" [class.loading]="replyLoading" type="submit">Enviar</button>
                    </div>
                </ng-container>

            </div>
        </ng-container>
        <!-- Participant -->

    </ng-container>
    <!-- Is Open -->

    <!-- Is Closed -->
    <ng-container *ngIf="!thread?.open">
        <div class="module-body centered">
            <div class="display-icon">
                <i class="las la-frown"></i>
            </div>

            <p>
                Lo sentimos, este hilo fue cerrado por el creador y ya no recibe nuevas respuestas.
            </p>

            <div class="action-footer">
                <button class="primary" type="submit">Me Gusta</button>
                <button class="primary" type="submit">Guardar</button>
            </div>
        </div>
    </ng-container>
    
</div>

<app-loader *ngIf="loading"></app-loader>